This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501041 - yum-aliases does not work with pending yum-3.2.22-5 update
yum-aliases does not work with pending yum-3.2.22-5 update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 11:54 EDT by Milan Slanař
Modified: 2014-01-21 18:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-12 12:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Slanař 2009-05-15 11:54:28 EDT
Description of problem:
yum prints usage when it should perform alias


Version-Release number of selected component (if applicable):
[milan@led packages]$ rpm -qa yum\*
yum-security-1.1.19-1.fc10.noarch
yum-changelog-1.1.19-1.fc10.noarch
yum-metadata-parser-1.1.2-10.fc10.x86_64
yum-3.2.22-5.fc10.noarch
yum-utils-1.1.19-1.fc10.noarch
yum-aliases-1.1.19-1.fc10.noarch
yum-keys-1.1.19-1.fc10.noarch
yum-downloadonly-1.1.19-1.fc10.noarch


How reproducible:
always

Steps to Reproduce:
1. install yum-aliases
2. list aliases "yum alias"
3. use one "yum lsu"
  
Actual results:
yum prints a usage screen

Expected results:
same as "yum list updates"

Additional info:
Comment 1 James Antill 2009-05-16 16:49:34 EDT
While you wait for a new yum-utils release, for the compatible yum-plugin-aliases ... you can get a working aliases patch from:

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=01d96e775368a65d01ac8445445f3a6902d35204

...or, for the entire thing:

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=blob;f=plugins/aliases/aliases.py;h=4eb26687e54a708d28ff7740c1fa15c678dee6fd;hb=01d96e775368a65d01ac8445445f3a6902d35204
Comment 2 Milan Slanař 2009-05-18 04:44:20 EDT
Thanks. This patch works for me.
Comment 3 Tim Lauridsen 2009-05-22 02:51:26 EDT
New yum-utils-1.1.22 is available in updates-testing for F10.

https://admin.fedoraproject.org/updates/F10/FEDORA-2009-5207

then yum-aliases has been renamed to yum-plugin-aliases.

Note You need to log in before you can comment on or make changes to this bug.